There are two keyboards for the Hausa language with the same name

Bug #1689110 reported by Amir E. Aharoni on 2017-05-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xkeyboard-config
Fix Released
Medium
xkeyboard-config (Ubuntu)
Medium
Unassigned

Bug Description

The keyboard selection window has two entries for the Hausa language.

To reproduce:
* Click "Text Entry Settings".
* Click the +
* Scroll down to H

There are two entries with the identical name "Hausa". They should have different names so that it would be clear what is the difference between them.

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: unity-control-center 15.04.0+17.04.20170402.6-0ubuntu1
ProcVersionSignature: Ubuntu 4.10.0-20.22-generic 4.10.8
Uname: Linux 4.10.0-20-generic x86_64
ApportVersion: 2.20.4-0ubuntu4
Architecture: amd64
CurrentDesktop: Unity:Unity7
Date: Sun May 7 20:01:29 2017
ExecutablePath: /usr/bin/unity-control-center
InstallationDate: Installed on 2015-02-26 (801 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
SourcePackage: unity-control-center
UpgradeStatus: Upgraded to zesty on 2017-04-19 (18 days ago)

Amir E. Aharoni (amir-aharoni) wrote :
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your report!

Indeed, it should be corrected. I changed the affected package to xkeyboard-config and filed an upstream report.

affects: unity-control-center (Ubuntu) → xkeyboard-config (Ubuntu)
Changed in xkeyboard-config (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in xkeyboard-config:
importance: Unknown → Medium
status: Unknown → Fix Released
Amir E. Aharoni (amir-aharoni) wrote :

Awesome! When is this supposed to be distributed to Ubuntu users?

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-05-08 15:11, Amir E. Aharoni wrote:
> When is this supposed to be distributed to Ubuntu users?

Well, it will be included in xkeyboard-config 2.21, and we are on version 2.19 in Ubuntu at the moment. Possibly it will reach Ubuntu 17.10, but more likely you'll see the change only in Ubuntu 18.04.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xkeyboard-config - 2.23.1-1ubuntu1

---------------
xkeyboard-config (2.23.1-1ubuntu1) bionic; urgency=medium

  * Merge with Debian (LP: #1659183, LP: #1685774, LP: #1689110,
    LP: #1746544), remaining changes:
    - control, rules, xkb-data-i18n.install, xkb-data.install: Split out
      xkb-data-i18n to be used by console-setup.
    - xkb-data.postinst: Remove the xkb cache to make sure it gets
      regenerated.
  * Dropped patch, applied upstream:
    - d/p/elfdalian-kb-layout.diff

 -- Gunnar Hjalmarsson <email address hidden> Fri, 02 Feb 2018 12:47:00 +0100

Changed in xkeyboard-config (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.